Rated 5 out of 5 stars

it seems still not capable in FF6.0?
i can't install it however